﻿<?xml version="1.0" encoding="utf-8" ?>
<ContentPage xmlns="http://xamarin.com/schemas/2014/forms"
             xmlns:x="http://schemas.microsoft.com/winfx/2009/xaml"
             x:Class="Xamarin_learning.Views.LoginPage"
             BindingContext="{Binding Main,Source={StaticResource Locator}}"
             Title="Login">
    <ContentPage.Content>
        <ScrollView
            BindingContext="{Binding Login}">
            <StackLayout
                Padding="5">


                <Image  
                    Source="x_logo.png"
                    WidthRequest="150">
                </Image>

                <Grid
                    Margin="10,0"
                    VerticalOptions="CenterAndExpand">


                    <Grid.RowDefinitions>
                        <RowDefinition Height="*" />
                        <RowDefinition Height="*" />
                    </Grid.RowDefinitions>

                    <Grid.ColumnDefinitions>
                        <ColumnDefinition Width="*"/>
                        <ColumnDefinition Width="2*"/>
                    </Grid.ColumnDefinitions>
                
                    <Label
                        VerticalOptions="Center"
                        Grid.Row="0"
                        Grid.Column="0"
                        Text="E-mail"
                        FontAttributes="Bold"
                    >
                    </Label>

                    <Entry
                        Placeholder="Enter your e-mail..."
                        Keyboard="Email"
                        Grid.Row="0"
                        Grid.Column="1"
                        Text="{Binding Email, Mode=TwoWay}">
                    </Entry>

                    <Label
                        Text="Password"
                        VerticalOptions="Center"
                        FontAttributes="Bold"
                        Grid.Row="1"
                        Grid.Column="0">
                    </Label>

                    <Entry
                        VerticalOptions="Center"
                        Placeholder="Enter your password.."
                        IsPassword="True"
                        Grid.Row="1"
                        Grid.Column="1"
                        Text="{Binding Password, Mode=TwoWay}">
                
                    </Entry>

                </Grid>
                <StackLayout
                    Orientation="Horizontal"
                    Margin="10,0">
                    <Label
                        HorizontalOptions="StartAndExpand"
                        Text="Remember on in this device"
                        VerticalOptions="Center">
                    </Label>

                    <Switch
                        HorizontalOptions="End"
                        IsToggled="{Binding IsRemembered, Mode=TwoWay}">

                    </Switch>
                </StackLayout>
            
                <ActivityIndicator
                    VerticalOptions="CenterAndExpand"
                    IsRunning="{Binding IsRunning, Mode=TwoWay}">
                
                </ActivityIndicator>
            
                <StackLayout
                    Margin="30,0"
                    Orientation="Horizontal">
                    <Button BackgroundColor="Navy"
                            HorizontalOptions="FillAndExpand"
                            Text="Login"
                            TextColor="White"
                            BorderRadius="23"
                            Command="{Binding LoginCommand}"
                            IsEnabled="{Binding IsEnabled, Mode=TwoWay}"
                            >
                    </Button>

                    <Button BackgroundColor="Green"
                            HorizontalOptions="FillAndExpand"
                            Text="Register"
                            TextColor="White"
                            BorderRadius="23"
                            IsEnabled="{Binding IsEnabled, Mode=TwoWay}"
                            >
                    </Button>

                </StackLayout>
                <StackLayout
                    Margin="0,10">
                    
                </StackLayout>
            
            </StackLayout>
        </ScrollView>

    </ContentPage.Content>
</ContentPage>